GNU bug report logs - #22638
24.5; Double import on completion in python mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vadim Suharnikov <vsuharnikov@HIDDEN>; merged with #22641, #22642, #22643; dated Fri, 12 Feb 2016 03:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 22638 22641 22642 22643. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2016 03:51:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 11 22:51:19 2016
Received: from localhost ([127.0.0.1]:37144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aU4lK-0003f4-LR
	for submit <at> debbugs.gnu.org; Thu, 11 Feb 2016 22:51:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40024)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aU33t-0001CZ-GM
 for submit <at> debbugs.gnu.org; Thu, 11 Feb 2016 21:02:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aU33m-000269-Qw
 for submit <at> debbugs.gnu.org; Thu, 11 Feb 2016 21:02:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47722)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aU33m-000265-NJ
 for submit <at> debbugs.gnu.org; Thu, 11 Feb 2016 21:02:14 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59218)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aU33l-0006zj-2H
 for bug-gnu-emacs@HIDDEN; Thu, 11 Feb 2016 21:02:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aU33j-00025j-Km
 for bug-gnu-emacs@HIDDEN; Thu, 11 Feb 2016 21:02:13 -0500
Received: from mail-lb0-x233.google.com ([2a00:1450:4010:c04::233]:33503)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aU33j-00025V-5G
 for bug-gnu-emacs@HIDDEN; Thu, 11 Feb 2016 21:02:11 -0500
Received: by mail-lb0-x233.google.com with SMTP id x4so38276344lbm.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 11 Feb 2016 18:02:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=JeHlZVzqt4S0veiXRVEkibnC4C7P1gHucNyHBh2M+jg=;
 b=mWdP8G/MeLjgHe8ikr6PRu0R+Gm+xMEYSQooohARfIxfDV1Agkj3fM8XpBEmpEg085
 IGrn+fc065wwyT703DF/BSnrsqlDgWJptpmHdjGa0mX83ritciMIgaUsQ5hPikQObKml
 NYjBS4GP/b5Qw+N0u0Qix/vJO9AHbSyz6De1SoS44tTyK8h2O2RuvZ/jZSqqTcLJ8hOi
 2GgT9RtqrP/fPyRE88K9EfwIZS6lA3HXXE36XpAzlmKcVA4VqWR3xluOYlpwPe1WyhV0
 H8N6zZLYD17BUM9eMJzzSkb2JtqvJdFQTsNmn9z0ylEozycbnCGaBYYkgPvFujPCuwLT
 ovrg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-type;
 bh=JeHlZVzqt4S0veiXRVEkibnC4C7P1gHucNyHBh2M+jg=;
 b=DU3EH05SWy6H/hiv9fXpZDVIx+qxmGJRKghGTTaAlkkPL2zymUhl23wLej0wVZguWy
 F/SR+3qc8FyA/Pl8PqImh6PkCuzBkD2wO/Pk+CfiO0TuZV6e+yWUKoxjJzuGBx4Yzg0u
 AyPVjIdgK9XEoFbjQIZXcnrCArzIKiA/maz1Vyy0KMV2/ytWbkzDRxyxmZuE6mI8/Aq3
 KtIQBsp4/Rn7twAgWGHzxH9ihhLtjfwvH2o/Cyh8FKydnP7kEtYfFB06fLsIpW62lDuD
 lCrigecv1tqZA2Jk0q0w+Rr1TX9NeBhUOwP+Xq5hyKTQ/p+fXrlu4zYmrmTZWJeUv+jy
 rUmw==
X-Gm-Message-State: AG10YORZ1d2hp5EIAjyEBgkyBLgp/dbHrVq/Sm0BeZZpHUVFamLyc7+owboIjenlj8QKW4yPUMJcG1qVA4gdAA==
X-Received: by 10.112.171.100 with SMTP id at4mr19689287lbc.7.1455242529887;
 Thu, 11 Feb 2016 18:02:09 -0800 (PST)
MIME-Version: 1.0
From: Vadim Suharnikov <vsuharnikov@HIDDEN>
Date: Fri, 12 Feb 2016 02:02:00 +0000
Message-ID: <CA+W3DY=rnDOzsDHyQg=i4akYAYZoXRP7Pa0bBk0gxCvAWJWp0Q@HIDDEN>
Subject: 24.5; Double import on completion in python mode
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a11c37f4c0e5bdf052b890e95
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 11 Feb 2016 22:51:17 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11c37f4c0e5bdf052b890e95
Content-Type: text/plain; charset=UTF-8

Steps for reproduce:

* start emacs: emacs -Q

* create an empty python buffer: C-x b foo.py RET

* turn on python mode: M-x python-mode RET

* start interpreter: C-c C-z (python-shell-switch-to-shell) and answer the

prompts (I pressed RET n)

* switch back to python buffer: C-x o (other-window)

* type "from os import " (there is a space after "import")

* press C-M-i (completion-at-point)


Observed behaviour: "import " is inserted in the buffer. The buffer now

contains "from os import import ".

Expected behaviour: completion-at-point offers names from the os module

as completion candidates.




In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.29)

of 2016-01-26 on fort_dey

Windowing system distributor `The X.Org Foundation', version 11.0.11800000

System Description: Gentoo Base System release 2.2


Configured using:

`configure --prefix=/usr --build=x86_64-pc-linux-gnu

--host=x86_64-pc-linux-gnu --mandir=/usr/share/man

--infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc

--localstatedir=/var/lib --disable-dependency-tracking

--disable-silent-rules --libdir=/usr/lib64 --program-suffix=-emacs-24

--infodir=/usr/share/info/emacs-24 --localstatedir=/var

--enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp

--with-gameuser=:gamestat --without-compress-install

--with-file-notification=inotify --enable-acl --with-dbus

--without-gnutls --with-gpm --without-hesiod --without-kerberos

--without-kerberos5 --without-xml2 --without-selinux --without-wide-int

--with-zlib --with-sound=alsa --with-x --without-ns --without-gconf

--without-gsettings --without-toolkit-scroll-bars --with-gif

--with-jpeg --with-png --with-rsvg --with-tiff --with-xpm

--without-imagemagick --with-xft --without-libotf --without-m17n-flt

--with-x-toolkit=gtk2 GENTOO_PACKAGE=app-editors/emacs-24.5-r1

'CFLAGS=-march=native -O2 -pipe -nopie' CPPFLAGS= 'LDFLAGS=-Wl,-O1

-Wl,--as-needed''


Important settings:

value of $LC_ALL:

value of $LANG: ru_RU.utf8

locale-coding-system: utf-8-unix


Major mode: Python


Minor modes in effect:

tooltip-mode: t

electric-indent-mode: t

mouse-wheel-mode: t

tool-bar-mode: t

menu-bar-mode: t

file-name-shadow-mode: t

global-font-lock-mode: t

font-lock-mode: t

blink-cursor-mode: t

auto-composition-mode: t

auto-encryption-mode: t

auto-compression-mode: t

line-number-mode: t

transient-mark-mode: t


Recent messages:

C-x C-g is undefined

Quit [3 times]

Make dedicated process? (y or n) n

Sent python-shell-completion-setup-code

Sent python-ffap-setup-code

Sent python-eldoc-setup-code

No match

Making completion list...

Quit

Making completion list...


Load-path shadows:

None found.


Features:

(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml

mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev

gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util

help-fns mail-prsvr mail-utils compile cl-extra help-mode python

easymenu json comint ring cl-loaddefs cl-lib ansi-color time-date

cyril-util tooltip electric uniquify ediff-hook vc-hooks lisp-float-type

mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe

tabulated-list newcomment lisp-mode prog-mode register page menu-bar

rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax

facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese

tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak

czech european ethiopic indian cyrillic chinese case-table epa-hook

jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button

faces cus-face macroexp files text-properties overlay sha1 md5 base64

format env code-pages mule custom widget hashtable-print-readable

backquote make-network-process dbusbind inotify dynamic-setting

font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)


Memory information:

((conses 16 86333 7207)

(symbols 48 18744 0)

(miscs 40 59 199)

(strings 32 12885 4754)

(string-bytes 1 391566)

(vectors 16 10730)

(vector-slots 8 400620 7751)

(floats 8 69 423)

(intervals 56 343 0)

(buffers 960 14)

(heap 1024 13190 827))

--001a11c37f4c0e5bdf052b890e95
Content-Type: text/html; charset=UTF-8

<div dir="ltr">
<p style="margin:0px">Steps for reproduce:</p>
<p style="margin:0px">* start emacs: emacs -Q</p>
<p style="margin:0px">* create an empty python buffer: C-x b foo.py RET</p>
<p style="margin:0px">* turn on python mode: M-x python-mode RET</p>
<p style="margin:0px">* start interpreter: C-c C-z (python-shell-switch-to-shell) and answer the </p>
<p style="margin:0px">prompts (I pressed RET n)</p>
<p style="margin:0px">* switch back to python buffer: C-x o (other-window)</p>
<p style="margin:0px">* type &quot;from os import &quot; (there is a space after &quot;import&quot;)</p>
<p style="margin:0px">* press C-M-i (completion-at-point)</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Observed behaviour: &quot;import &quot; is inserted in the buffer. The buffer now </p>
<p style="margin:0px">contains &quot;from os import import &quot;.</p>
<p style="margin:0px">Expected behaviour: completion-at-point offers names from the os module </p>
<p style="margin:0px">as completion candidates.</p>
<p style="margin:0px"><br></p>
<p style="margin:0px"><br></p>
<p style="margin:0px"><br></p>
<p style="margin:0px">In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.29)</p>
<p style="margin:0px"> of 2016-01-26 on fort_dey</p>
<p style="margin:0px">Windowing system distributor `The X.Org Foundation&#39;, version 11.0.11800000</p>
<p style="margin:0px">System Description:	Gentoo Base System release 2.2</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Configured using:</p>
<p style="margin:0px"> `configure --prefix=/usr --build=x86_64-pc-linux-gnu</p>
<p style="margin:0px"> --host=x86_64-pc-linux-gnu --mandir=/usr/share/man</p>
<p style="margin:0px"> --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc</p>
<p style="margin:0px"> --localstatedir=/var/lib --disable-dependency-tracking</p>
<p style="margin:0px"> --disable-silent-rules --libdir=/usr/lib64 --program-suffix=-emacs-24</p>
<p style="margin:0px"> --infodir=/usr/share/info/emacs-24 --localstatedir=/var</p>
<p style="margin:0px"> --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp</p>
<p style="margin:0px"> --with-gameuser=:gamestat --without-compress-install</p>
<p style="margin:0px"> --with-file-notification=inotify --enable-acl --with-dbus</p>
<p style="margin:0px"> --without-gnutls --with-gpm --without-hesiod --without-kerberos</p>
<p style="margin:0px"> --without-kerberos5 --without-xml2 --without-selinux --without-wide-int</p>
<p style="margin:0px"> --with-zlib --with-sound=alsa --with-x --without-ns --without-gconf</p>
<p style="margin:0px"> --without-gsettings --without-toolkit-scroll-bars --with-gif</p>
<p style="margin:0px"> --with-jpeg --with-png --with-rsvg --with-tiff --with-xpm</p>
<p style="margin:0px"> --without-imagemagick --with-xft --without-libotf --without-m17n-flt</p>
<p style="margin:0px"> --with-x-toolkit=gtk2 GENTOO_PACKAGE=app-editors/emacs-24.5-r1</p>
<p style="margin:0px"> &#39;CFLAGS=-march=native -O2 -pipe -nopie&#39; CPPFLAGS= &#39;LDFLAGS=-Wl,-O1</p>
<p style="margin:0px"> -Wl,--as-needed&#39;&#39;</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Important settings:</p>
<p style="margin:0px">  value of $LC_ALL: </p>
<p style="margin:0px">  value of $LANG: ru_RU.utf8</p>
<p style="margin:0px">  locale-coding-system: utf-8-unix</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Major mode: Python</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Minor modes in effect:</p>
<p style="margin:0px">  tooltip-mode: t</p>
<p style="margin:0px">  electric-indent-mode: t</p>
<p style="margin:0px">  mouse-wheel-mode: t</p>
<p style="margin:0px">  tool-bar-mode: t</p>
<p style="margin:0px">  menu-bar-mode: t</p>
<p style="margin:0px">  file-name-shadow-mode: t</p>
<p style="margin:0px">  global-font-lock-mode: t</p>
<p style="margin:0px">  font-lock-mode: t</p>
<p style="margin:0px">  blink-cursor-mode: t</p>
<p style="margin:0px">  auto-composition-mode: t</p>
<p style="margin:0px">  auto-encryption-mode: t</p>
<p style="margin:0px">  auto-compression-mode: t</p>
<p style="margin:0px">  line-number-mode: t</p>
<p style="margin:0px">  transient-mark-mode: t</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Recent messages:</p>
<p style="margin:0px">C-x C-g is undefined</p>
<p style="margin:0px">Quit [3 times]</p>
<p style="margin:0px">Make dedicated process? (y or n) n</p>
<p style="margin:0px">Sent python-shell-completion-setup-code</p>
<p style="margin:0px">Sent python-ffap-setup-code</p>
<p style="margin:0px">Sent python-eldoc-setup-code</p>
<p style="margin:0px">No match</p>
<p style="margin:0px">Making completion list...</p>
<p style="margin:0px">Quit</p>
<p style="margin:0px">Making completion list...</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Load-path shadows:</p>
<p style="margin:0px">None found.</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Features:</p>
<p style="margin:0px">(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml</p>
<p style="margin:0px">mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev</p>
<p style="margin:0px">gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util</p>
<p style="margin:0px">help-fns mail-prsvr mail-utils compile cl-extra help-mode python</p>
<p style="margin:0px">easymenu json comint ring cl-loaddefs cl-lib ansi-color time-date</p>
<p style="margin:0px">cyril-util tooltip electric uniquify ediff-hook vc-hooks lisp-float-type</p>
<p style="margin:0px">mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe</p>
<p style="margin:0px">tabulated-list newcomment lisp-mode prog-mode register page menu-bar</p>
<p style="margin:0px">rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax</p>
<p style="margin:0px">facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese</p>
<p style="margin:0px">tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak</p>
<p style="margin:0px">czech european ethiopic indian cyrillic chinese case-table epa-hook</p>
<p style="margin:0px">jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button</p>
<p style="margin:0px">faces cus-face macroexp files text-properties overlay sha1 md5 base64</p>
<p style="margin:0px">format env code-pages mule custom widget hashtable-print-readable</p>
<p style="margin:0px">backquote make-network-process dbusbind inotify dynamic-setting</p>
<p style="margin:0px">font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)</p>
<p style="margin:0px"><br></p>
<p style="margin:0px">Memory information:</p>
<p style="margin:0px">((conses 16 86333 7207)</p>
<p style="margin:0px"> (symbols 48 18744 0)</p>
<p style="margin:0px"> (miscs 40 59 199)</p>
<p style="margin:0px"> (strings 32 12885 4754)</p>
<p style="margin:0px"> (string-bytes 1 391566)</p>
<p style="margin:0px"> (vectors 16 10730)</p>
<p style="margin:0px"> (vector-slots 8 400620 7751)</p>
<p style="margin:0px"> (floats 8 69 423)</p>
<p style="margin:0px"> (intervals 56 343 0)</p>
<p style="margin:0px"> (buffers 960 14)</p>
<p style="margin:0px"> (heap 1024 13190 827))</p></div>

--001a11c37f4c0e5bdf052b890e95--




Acknowledgement sent to Vadim Suharnikov <vsuharnikov@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22638; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 12 Feb 2016 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.